1. Diese Seite verwendet Cookies. Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies. Weitere Informationen

Problem mit oscam und dvbapi

Dieses Thema im Forum "Oscam Talk Archiv" wurde erstellt von Dikilee, 10. August 2013.

  1. Dikilee
    Offline

    Dikilee Newbie

    Registriert:
    22. Januar 2013
    Beiträge:
    17
    Zustimmungen:
    0
    Punkte für Erfolge:
    1
    Hallo,

    ich verwende den yavdr (testing mit VDR2.0.2) bisher mit oscam und vdr-plugin-sc. Die Sundtek Sticks befinden sich auf einem Server und ich betreibe cs mit zwei Clienten. Funktioniert auch alles sehr gut. Nun will ich aber dvbapi wegen der bekannten Vorteile wechseln.
    Ich habe nun oscam und dvbapi aus dem Repo von Gandalf installiert, sc deaktiviert und dvbapi aktiviert. Installation kein Problem. Nach dem Booten Ich hatte aber sofort die Fehlermeldung "ERROR: could not detect dvbapi version" im log des Webinterfaces. Ich habe dann etwas mit den Configs rumgespielt, passwort ausgeschrieben, passwort mit pwd abgekürzt u.s.w.. Auf dem Server muss es abgekürzt sein, auf dem Clienten ausgeschrieben sein, sonnst gibt es keinen connect??????!!! Es hat dann plötzlich alles funktioniert und lief wirklich tadellos. Habe dann alles noch einmla gespeichert und neu gestartet.

    Nach dem Neustart wieder "ERROR: could not detect dvbapi version"! Bin wieder zurück auf sc damit ich fernsehen kann. Was kann das sein?

    oscam.dvbapi
    P: 1702 # prio Sky
    P: 1833 # prio Sky
    P: 1722 # prio um_i12
    P: 1834 # prio um_i12
    P: 1835 # prio um_i12
    I: 09C4 # ignore Sky V13
    #P: 1830 # prio HD01 HD+

    oscam.conf
    [global]logfile = /var/log/oscam/oscam.log
    nice = -1
    usrfile = /var/log/oscam/oscamuser.log
    cwlogdir = /var/log/oscam/cw


    [dvbapi]
    enabled = 1
    au = 1
    boxtype = pc
    user = vdrapi1
    pmt_mode = 0
    request_mode = 0
    socket = /tmp/camd.socket

    [webif]
    httpport = 8888
    httpuser = oscam
    httppwd = xxxxxx
    httphelplang = de
    httprefresh = 10
    httpallowed = 127.0.0.1,192.168.0.0-192.168.255.255
    httprefresh = 10
    httphideidleclients = 1
    httpreadonly = 0

    oscam.user
    [account]
    user = vdrapi1
    keepalive = 1
    au = 1
    betatunnel = 1833.FFFF:1702,1835.FFFF:1722
    group = 1,2,3

    oscam.server
    #label = server
    user = vdrapi1
    #pwd = vdrapi1
    password = vdrapi1
    protocol = cccam
    device = 192.168.178.21,21400
    inactivitytimeout = 30
    caid = 1702,1722,1833,1835
    group = 1,2
    #cccversion = 2.3.0
    cccversion = 2.0.11
    ccckeepalive = 1

    mit diesem oscam.server hat es wie gesagt ein mal funktioniert.

    Danke schon mal im Vorraus

    Dirk
     
    Zuletzt bearbeitet: 12. August 2013
    #1
  2. phantom

    Nervigen User Advertisement

  3. mxer
    Offline

    mxer Moderator Digital Eliteboard Team

    Registriert:
    20. September 2008
    Beiträge:
    13.883
    Zustimmungen:
    6.212
    Punkte für Erfolge:
    113
    AW: Problem mit oscam und dvbapi

    Nimm mal überall die Kommentare ab # in den Zeilen raus, egal, in welchem File.
    Weiterhin würde ich die oscam.dvbapi so machen:

    P: 1702
    P: 1833
    P: 1722
    P: 1834
    P: 1835
    I: 0

    Weil der unterste Eintrag alle blockiert, die obendarüber nicht aufgelistet sind.
     
    #2
  4. Dikilee
    Offline

    Dikilee Newbie

    Registriert:
    22. Januar 2013
    Beiträge:
    17
    Zustimmungen:
    0
    Punkte für Erfolge:
    1
    AW: Problem mit oscam und dvbapi

    Danke, werde ich sofort testen. Habe die config-files so zusammen gesucht und natürlich viel getestet.

    Aber was bedeutet der Error im oscam-log des Webinterfaces?

    Gruß

    Dirk
     
    #3
  5. mxer
    Offline

    mxer Moderator Digital Eliteboard Team

    Registriert:
    20. September 2008
    Beiträge:
    13.883
    Zustimmungen:
    6.212
    Punkte für Erfolge:
    113
    AW: Problem mit oscam und dvbapi

    Er findet keine gültige Version des DVBApi?
    Bin icht so fit in VDR, daher kann ich nicht sagen, was wohin geändert werden müßte.
     
    #4
  6. Dikilee
    Offline

    Dikilee Newbie

    Registriert:
    22. Januar 2013
    Beiträge:
    17
    Zustimmungen:
    0
    Punkte für Erfolge:
    1
    AW: Problem mit oscam und dvbapi

    Ausprobiert. Leider keine Änderung.

    ERROR: could not detect dvbapi version.

    Danach wird die Verbindung oscam - vdr unterbrochen. Die Verbindug über das Netzwerk
    oscam-client zu oscam-server bleibt bestehen. Oscam auf den client meldet auch das
    4 von 4 Karten connected sind.

    Was ich nicht kappiere, die Plugins sind doch aus dem gleichen repository!

    Was aber bedeutet diese Meldung genau?

    Dirk
     
    Zuletzt bearbeitet: 11. August 2013
    #5
  7. Dikilee
    Offline

    Dikilee Newbie

    Registriert:
    22. Januar 2013
    Beiträge:
    17
    Zustimmungen:
    0
    Punkte für Erfolge:
    1
    AW: Problem mit oscam und dvbapi

    Bin nun etwas weiter. Kann aber mit der Fehlermeldung nichts anfangen. Was genau fehlt denn da, oder wie kann ich das installieren?

    Syslog (Auszug)
    Aug 12 08:00:27 yaVDR-1 vdr: [1420] DVBAPI: loading library: libvdr-dvbsddevice.so.2.0.0
    Aug 12 08:00:27 yaVDR-1 vdr: [1420] DVBAPI-Error: dload: libvdr-dvbsddevice.so.2.0.0: /usr/lib/vdr/plugins/libvdr-dvbsddevice.so.2.0.0: Kann die Shared-Object-Datei nicht öffnen: Datei oder Verzeichnis nicht gefunden
    Aug 12 08:00:27 yaVDR-1 vdr: [1420] DVBAPI: loading library: libvdr-dvbhddevice.so.2.0.0
    Aug 12 08:00:27 yaVDR-1 vdr: [1420] DVBAPI-Error: dload: libvdr-dvbhddevice.so.2.0.0: /usr/lib/vdr/plugins/libvdr-dvbhddevice.so.2.0.0: Kann die Shared-Object-Datei nicht öffnen: Datei oder Verzeichnis nicht gefunden
    Aug 12 08:00:27 yaVDR-1 vdr: [1420] DVBAPI: loading library: libdvbapi-dvbhddevice.so.2.0.0
    Aug 12 08:00:27 yaVDR-1 vdr: [1420] DVBAPI-Error: dload: libdvbapi-dvbhddevice.so.2.0.0: /usr/lib/vdr/plugins/libdvbapi-dvbhddevice.so.2.0.0: undefined symbol: _ZTI14cDvbHdFfDevice
    Aug 12 08:00:27 yaVDR-1 vdr: [1420] DVBAPI: loading library: libdvbapi-dvbsddevice.so.2.0.0
    Aug 12 08:00:27 yaVDR-1 vdr: [1420] DVBAPI-Error: dload: libdvbapi-dvbsddevice.so.2.0.0: /usr/lib/vdr/plugins/libdvbapi-dvbsddevice.so.2.0.0: undefined symbol: _ZTI14cDvbSdFfDevice

    danke

    Dirk
     
    Zuletzt bearbeitet: 12. August 2013
    #6
  8. mxer
    Offline

    mxer Moderator Digital Eliteboard Team

    Registriert:
    20. September 2008
    Beiträge:
    13.883
    Zustimmungen:
    6.212
    Punkte für Erfolge:
    113
    AW: Problem mit oscam und dvbapi

    Es fehlt die benannte Lib.
    Mal versucht, per apt-get install libvdr-dvbsddevice.so.2.0.0 die nachzuladen?
     
    #7
  9. Dikilee
    Offline

    Dikilee Newbie

    Registriert:
    22. Januar 2013
    Beiträge:
    17
    Zustimmungen:
    0
    Punkte für Erfolge:
    1
    AW: Problem mit oscam und dvbapi

    Habe ich auch gerade gesehen. Sind wohl die Treiber für die Techno Trend S2-6400, welche ich aber nicht verwende.
    Sind nun geladen und es gibt auch keine Fehlermeldung im Syslog mehr. Aber dvbapi wird trotzdem nach einigen Sekunden mit der Meldung



    beendet. Heisst das, dvbapi läuft nur mit diesen Karten? Es lief aber doch mal eine kurze Zeit. Ich komme momentan da nicht mehr weiter.

    irgendjemand eine Idee?

    Danke

    Dirk
     
    Zuletzt bearbeitet: 12. August 2013
    #8
  10. mxer
    Offline

    mxer Moderator Digital Eliteboard Team

    Registriert:
    20. September 2008
    Beiträge:
    13.883
    Zustimmungen:
    6.212
    Punkte für Erfolge:
    113
    AW: Problem mit oscam und dvbapi

    Wie alt ist denn oscam?
    Evtl. mal eine neuere Version nachladen.
     
    #9
  11. Dikilee
    Offline

    Dikilee Newbie

    Registriert:
    22. Januar 2013
    Beiträge:
    17
    Zustimmungen:
    0
    Punkte für Erfolge:
    1
    AW: Problem mit oscam und dvbapi

    gestern erst aus der Repo von Gandalf installiert.

    Dieser Link ist nur für Mitglieder!!! Jetzt kostenlos Registrieren ?



    War gerade 1 Stunde alt. Es ist die 1.20-svn-8829.

    Gruß

    Dirk
     
    #10

Diese Seite empfehlen